1. jmquinn72's Avatar
    Galaxy Note 3, Jellybean, works with Google Wallet.
    Galaxy Note 3 gets upgraded to KitKat and no longer works with Google Wallet
    Switch to ISIS.
    ISIS rebrands/renames itself to Softcard
    Softcard gets purchased by Google.
    Softcard releases statement encouraging switch to Google Wallet as Softcard will shut down March 31st.
    Google Wallet still not compatible with Galaxy Note 3, KitKat.

    Now what?
    03-04-2015 04:59 PM
  2. Almeuit's Avatar
    Yeah I don't think the Note 3 is going to get support ever. They explicitly list that it is not compatible here.

    https://support.google.com/wallet/an..._topic=3209987

    Tap and pay functionality is available in the US, and requires an NFC-enabled Android device running 4.4 (KitKat) or higher on any carrier network.

    Not all devices running KitKat will support tap and pay. Here is a list of devices running KitKat that cannot be used for tap and pay:

    Evo 4G LTE
    Nexus 7 (2012)
    Samsung Galaxy Note III
    Samsung Galaxy S3
    Samsung Galaxy Light
    03-04-2015 05:28 PM
  3. jmquinn72's Avatar
    I'm hoping Lollipop offers a tweak, or the fact Google purchased Softcard's intellectual property means something good down the road.
    03-04-2015 05:40 PM

Similar Threads

  1. Replies: 11
    Last Post: 03-07-2015, 05:01 AM
  2. Replies: 1
    Last Post: 03-04-2015, 11:54 PM
  3. Why won't my new 3G Android scroll in any direction?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 03-04-2015, 04:16 PM
  4. Why won't my battery charge?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 03-04-2015, 01:03 PM
  5. Files won't open when stored on SDCard
    By Eric Feurich in forum Samsung Galaxy Tab S 10.5
    Replies: 1
    Last Post: 03-04-2015, 12:10 PM
LINK TO POST COPIED TO CLIPBOARD